Package org.apache.storm.security.auth.plain

# Class SaslPlainServer

java.lang.Object
org.apache.storm.security.auth.plain.SaslPlainServer

All Implemented Interfaces:
  `SaslServer`

@Deprecated public class SaslPlainServer extends Object implements SaslServer
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SaslPlainServer.SaslPlainServerFactory`
  Deprecated.
  `static class`
  `SaslPlainServer.SecurityProvider`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Deprecated.
  `byte[]`
  `evaluateResponse(byte[] response)`
  Deprecated.
  `String`
  `getAuthorizationID()`
  Deprecated.
  `String`
  `getMechanismName()`
  Deprecated.
  `Object`
  `getNegotiatedProperty(String propName)`
  Deprecated.
  `boolean`
  `isComplete()`
  Deprecated.
  `byte[]`
  `unwrap(byte[] incoming, int offset, int len)`
  Deprecated.
  `byte[]`
  `wrap(byte[] outgoing, int offset, int len)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getMechanismName

    public String getMechanismName()
    Deprecated.
    Specified by:
      `getMechanismName` in interface `SaslServer`

  - ### evaluateResponse

    public byte[] evaluateResponse(byte[] response) throws SaslException
    Deprecated.
    Specified by:
      `evaluateResponse` in interface `SaslServer`
    Throws:
      `SaslException`

  - ### isComplete

    public boolean isComplete()
    Deprecated.
    Specified by:
      `isComplete` in interface `SaslServer`

  - ### getAuthorizationID

    public String getAuthorizationID()
    Deprecated.
    Specified by:
      `getAuthorizationID` in interface `SaslServer`

  - ### getNegotiatedProperty

    public Object getNegotiatedProperty(String propName)
    Deprecated.
    Specified by:
      `getNegotiatedProperty` in interface `SaslServer`

  - ### wrap

    public byte[] wrap(byte[] outgoing, int offset, int len) throws SaslException
    Deprecated.
    Specified by:
      `wrap` in interface `SaslServer`
    Throws:
      `SaslException`

  - ### unwrap

    public byte[] unwrap(byte[] incoming, int offset, int len) throws SaslException
    Deprecated.
    Specified by:
      `unwrap` in interface `SaslServer`
    Throws:
      `SaslException`

  - ### dispose

    public void dispose() throws SaslException
    Deprecated.
    Specified by:
      `dispose` in interface `SaslServer`
    Throws:
      `SaslException`